//
//  CatalogCollectionViewController.m
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 08.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//

#import "CatalogCollectionViewController.h"

@interface CatalogCollectionViewController ()

@end

@implementation CatalogCollectionViewController

- (id)init
{
    UICollectionViewFlowLayout *alayout = [[UICollectionViewFlowLayout alloc] init];
    [alayout setMinimumInteritemSpacing:0.0f];
    [alayout setMinimumLineSpacing:0.0f];
    alayout.sectionInset= UIEdgeInsetsMake (10.0, 10.0, 0.0, 10.0);
    alayout.scrollDirection = UICollectionViewScrollDirectionVertical;
    
    if (self = [super initWithCollectionViewLayout:alayout]) {
        self.collectionView.backgroundColor = [UIColor whiteColor];
    }
    
    return self;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    // Uncomment the following line to preserve selection between presentations
    // self.clearsSelectionOnViewWillAppear = NO;
    
    // Register cell classes
    [self.collectionView registerNib:[UINib nibWithNibName:@"ArticleCollectionViewCell"
                                                    bundle:[NSBundle mainBundle]]
          forCellWithReuseIdentifier:@"CustomCellReuseID"];
    
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
