//
//  Article+CoreDataClass.m
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 04.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//
//

#import "Article+CoreDataClass.h"

@implementation Article

- (UIImage*) picture
{
    UIImage *image;
    
    if(self.hasPicture)
    {
        NSArray *pathArray = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask,YES);
        NSString *documentsDirectory = [pathArray objectAtIndex:0];
        NSString *imagePath = [[documentsDirectory stringByAppendingPathComponent:@"actualCatalog"]stringByAppendingPathComponent:[self pictureFileName]];
        
        if ([[NSFileManager defaultManager] fileExistsAtPath:imagePath])
        {
            image = [UIImage imageWithContentsOfFile:imagePath];
        }
        
    }else
    {
        for (int i=0; i < self.articleNumber.length; i++) {
            if ([self.articleNumber characterAtIndex:i] == '/') {
                switch ([self.articleNumber characterAtIndex:i+1]) {
                    case '1':
                        image = [UIImage imageNamed:@"noimage_1"];
                        break;
                    case '2':
                        image = [UIImage imageNamed:@"noimage_2"];
                        break;
                    case '3':
                        image = [UIImage imageNamed:@"noimage_3"];
                        break;
                    case '4':
                        image = [UIImage imageNamed:@"noimage_4"];
                        break;
                    case '5':
                        image = [UIImage imageNamed:@"noimage_5"];
                        break;
                    case '6':
                        image = [UIImage imageNamed:@"noimage_6"];
                        break;
                    default:
                        image = [UIImage imageNamed:@"noimage_X"];
                        break;
                }
                break;
            }
        }
    }
    
    return image;
}

- (NSString*) pictureFileName
{
    return [NSString stringWithFormat:@"%@.jpg",[[NSString stringWithString:self.articleNumber]stringByReplacingOccurrencesOfString:@"/" withString:@"_"]].lowercaseString;
}

@end
