//
//  Article+CoreDataProperties.h
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 04.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//
//

#import "Article+CoreDataClass.h"


NS_ASSUME_NONNULL_BEGIN

@interface Article (CoreDataProperties)

+ (NSFetchRequest<Article *> *)fetchRequest;

@property (nullable, nonatomic, copy) NSString *articleNumber;
@property (nullable, nonatomic, copy) NSString *descriptionText;
@property (nonatomic) BOOL hasPicture;
@property (nonatomic) float price;

@end

NS_ASSUME_NONNULL_END
