//
//  Catalog+CoreDataClass.h
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 04.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class ArticleCatalog;

@protocol CatalogDelegate <NSObject>

- (void) willStartDownloadingCatalog;
- (void) didStartDownloadingCatalog;
- (void) didChangeProgress:(NSNumber*_Nonnull) aProgress;
- (void) didErrorDownloadingCatalog:(NSString*_Nonnull)anError;
- (void) didFinishDownloadingCatalog;

@end

NS_ASSUME_NONNULL_BEGIN

@interface Catalog : NSManagedObject

@property (weak, nonatomic) id<CatalogDelegate> delegate;

- (void) refreshFromServer;
+(Catalog*) defaultCatalogModel;

@end

NS_ASSUME_NONNULL_END

#import "Catalog+CoreDataProperties.h"
