//
//  Catalog+CoreDataProperties.h
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 04.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//
//

#import "Catalog+CoreDataClass.h"


NS_ASSUME_NONNULL_BEGIN

@interface Catalog (CoreDataProperties)

+ (NSFetchRequest<Catalog *> *)fetchRequest;

@property (nullable, nonatomic, retain) NSSet<ArticleCatalog *> *articleCatalog;

@end

@interface Catalog (CoreDataGeneratedAccessors)

- (void)addArticleCatalogObject:(ArticleCatalog *)value;
- (void)removeArticleCatalogObject:(ArticleCatalog *)value;
- (void)addArticleCatalog:(NSSet<ArticleCatalog *> *)values;
- (void)removeArticleCatalog:(NSSet<ArticleCatalog *> *)values;

@end

NS_ASSUME_NONNULL_END
