//
//  OrderLine+CoreDataProperties.h
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 22.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//
//

#import "OrderLine+CoreDataClass.h"


NS_ASSUME_NONNULL_BEGIN

@interface OrderLine (CoreDataProperties)

+ (NSFetchRequest<OrderLine *> *)fetchRequest;

@property (nonatomic) int16_t amount;
@property (nullable, nonatomic, copy) NSString *comments;
@property (nonatomic) int16_t margin;
@property (nonatomic, retain) ArticleOrder *article;
@property (nullable, nonatomic, retain) Order *order;

@end

NS_ASSUME_NONNULL_END
